package com.yaozhitech.spring5.provider;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "auth-server")
public interface AuthServerProvider {

	@GetMapping(value = "/clientAuth/verify/")
    Boolean verify(@RequestParam("service") String service, @RequestParam("allowClient") String allowClient, @RequestParam("secret") String secret);
}
