package com.yaozhitech.spring5.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yaozhitech.spring5.domain.ClientAuth;
import com.yaozhitech.spring5.mapper.ClientAuthMapper;

@Service
public class ClientService {

	@Autowired
	private ClientAuthMapper authClientMapper;
	
	public Boolean isAllowed(String service, String secret, String allowClient) {
		ClientAuth authClient = authClientMapper.selectOne(new QueryWrapper<ClientAuth>()
				.eq("service", service)
				.eq("secret", secret)
				.eq("allow_client", allowClient));
		
		return authClient != null;
	}
}
